Authenticate user and obtain access token
Exchange the user’s username and password for an access token.
The client ID and client secret are used for client authentication (basic). Certain endpoints require the access token in the Authorization header to perform admin functions, like creating menus.
If an existing access token is associated with the user, it will be invalidated before a new one is generated.
Authorizations
The auth type used by all protected endpoints.
Body
The request body to create a token requires the following properties: grant_type, user_name, and password.
Tells the login endpoint to perform the resource owner password credential flow.
"password"
The user name for account login purposes. User names cannot contain spaces.
"john_doe"
Passwords must be at least eight characters long and contain at least one uppercase letter, one lowercase letter, one digit, and one special character (@, $, !, %, *, ?, &).
"P@ssw0rd!"
Response
Resource created successfully. The response body contains the newly created resource.
The response object returned for both /auth endpoints.
A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.
"674d0bf5c28b69001f8e03a1"
The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z
"2024-04-22T10:00:00Z"
The date and time the resource was last updated.
Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z
"2024-04-22T10:00:00Z"
An alpha-numeric string generated when authenicating a user and required for protected endpoints.
Expires after ### seconds.
"fa0b97b2-445f-41d2-b50f-fb3b014a301e"
Indicates when a token expires and should be refreshed to maintain a user's authentication. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z
"2024-04-22T10:00:00Z"
The alpha-numeric refresh token value, used to re-authenticate a user after the authentication token expires.
"d1a3e281-96b6-4f77-a587-7b6c8c2a96d9"
The type of token used in an /auth request.
"Bearer"
The user name for account login purposes. User names cannot contain spaces.
"john_doe"